import React from 'react';
import { Modal } from 'antd';
import NewForm from '@/administration/news/newForm';
import NewDetaiel from '@/administration/news/newDetails';

class DemandDesc extends React.Component {
	constructor(props) {
		super(props);
		this.state = {
			loading: false,
			pictureUrl: [],
			showState:false
		};
	}
	handleCancel() {
		this.setState({
			visible: false,
		});
		this.props.closeDesc(false, false);
	}
	handOk() {
		this.setState({
			visible: false,
		});
		this.props.closeDesc(false, true);
	}
	componentWillReceiveProps(nextProps) {
		this.state.visible = nextProps.showDesc;
	}
	render() {
		let data = this.props.data || [];
		return (
			<div className="patent-desc">
				<Modal
					maskClosable={false}
					visible={this.state.visible}
					onOk={this.handOk.bind(this)}
					onCancel={this.handleCancel.bind(this)}
					width="1100px"
					title={!data.id ? '新建新闻' : '新闻详情'}
					footer=""
					className="admin-desc-content"
				>
					<div>
						<div>
								{data.auditStatus=='1'||data.auditStatus=='2'?
									<NewDetaiel
									closeDesc={this.handleCancel.bind(this)}
									data={this.props.data}
									visible={this.state.visible}
									handOk={this.handOk.bind(this)}
									/>
									:
									<NewForm 
										closeDesc={this.handleCancel.bind(this)}
										data={this.props.data}
										visible={this.state.visible}
										handOk={this.handOk.bind(this)}
										/>
								} 
						</div>
					</div>
				</Modal>
			</div>
		);
	}
}

export default DemandDesc;
